Bug 1465588 - Review Request: xoreos-tools - Tools to help the development of xoreos
Review Request: xoreos-tools - Tools to help the development of xoreos
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-GAMESIG
  Show dependency treegraph
 
Reported: 2017-06-27 12:59 EDT by Ben Rosser
Modified: 2017-07-30 15:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-20 11:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ben Rosser 2017-06-27 12:59:40 EDT
Spec URL: https://tc01.fedorapeople.org/xoreos/xoreos-tools.spec
SRPM URL: https://tc01.fedorapeople.org/xoreos/xoreos-tools-0.0.4-1.fc25.src.rpm

Description: A collection of tools to help with the reverse-engineering of BioWare's
Aurora engine games. xoreos-tools is part of the xoreos project; please
see the xoreos website and its GitHub repositories for details,
especially the main README.md.

Currently, the following tools are included:

* gff2xml: Convert BioWare GFF to XML
* tlk2xml: Convert BioWare TLK to XML
* xml2tlk: Convert XML back to BioWare TLK
* convert2da: Convert BioWare 2DA/GDA to 2DA/CSV
* fixpremiumgff: Repair BioWare GFF files in NWN premium module HAKs
* unerf: Extract BioWare ERF archives
* unherf: Extract BioWare HERF archives
* unrim: Extract BioWare RIM archives
* unnds: Extract Nintendo DS roms
* unnsbtx: Extract Nintendo NSBTX textures into TGA images
* unkeybif: Extract BioWare KEY/BIF archives
* desmall: Decompress "small" (Nintendo DS LZSS, types 0x00 and 0x10) files
* xoreostex2tga: Convert BioWare's texture formats into TGA
* nbfs2tga: Convert Nintendo's raw NBFS images into TGA
* ncgr2tga: Convert Nintendo's NCGR images into TGA
* cbgt2tga: Convert CBGT images into TGA
* cdpth2tga: Convert CDPTH depth images into TGA
* ncsdis: Disassemble NWScript bytecode

Fedora Account System Username: tc01

(The Xoreos project seeks to provide a FOSS replacement engine for classic Bioware games running on the Aurora engine, in analogy to projects like OpenMW. It is far from completion, and currently has dependencies that aren't permitted to be packaged in Fedora. However the tools suite is much more useful today and does not have this problem, which is why I'm submitting a review now).
Comment 1 Sandro Mani 2017-07-04 05:23:06 EDT
Full review below, just some trivial stuff:
- could use %make_build, %make_install
- not needed: rm -rf %{buildroot}
- empty /usr/lib in xoreos-tools-0.0.4-1.fc27.x86_64.rpm 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[?]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xoreos-tools-0.0.4-1.fc27.x86_64.rpm
          xoreos-tools-debuginfo-0.0.4-1.fc27.x86_64.rpm
          xoreos-tools-0.0.4-1.fc27.src.rpm
xoreos-tools.x86_64: W: spelling-error %description -l en_US roms -> toms, rims, oms
xoreos-tools.x86_64: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
xoreos-tools.x86_64: W: only-non-binary-in-usr-lib
xoreos-tools.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xoreos-tools.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xoreos-tools.src: W: spelling-error %description -l en_US fixpremiumgff -> premium
xoreos-tools.src: W: spelling-error %description -l en_US unerf -> funner, Nerf
xoreos-tools.src: W: spelling-error %description -l en_US unherf -> underfur
xoreos-tools.src: W: spelling-error %description -l en_US unrim -> unripe
xoreos-tools.src: W: spelling-error %description -l en_US unnds -> unbends
xoreos-tools.src: W: spelling-error %description -l en_US roms -> toms, rims, oms
xoreos-tools.src: W: spelling-error %description -l en_US unnsbtx -> unsubtle
xoreos-tools.src: W: spelling-error %description -l en_US unkeybif -> keybinding
xoreos-tools.src: W: spelling-error %description -l en_US desmall -> small, Small
xoreos-tools.src: W: spelling-error %description -l en_US ncsdis -> disdains
xoreos-tools.src: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
3 packages and 0 specfiles checked; 0 errors, 16 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xoreos-tools-debuginfo-0.0.4-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
xoreos-tools.x86_64: W: spelling-error %description -l en_US roms -> toms, rims, oms
xoreos-tools.x86_64: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
xoreos-tools.x86_64: W: only-non-binary-in-usr-lib
xoreos-tools.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xoreos-tools.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
xoreos-tools (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    liblzma.so.5()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

xoreos-tools-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
xoreos-tools:
    xoreos-tools
    xoreos-tools(x86-64)

xoreos-tools-debuginfo:
    xoreos-tools-debuginfo
    xoreos-tools-debuginfo(x86-64)



Source checksums
----------------
https://github.com/xoreos/xoreos-tools/archive/v0.0.4/xoreos-tools-0.0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 731610e213dc18748d6e183e6ff57c499ca1bcb1ebd4c8e1f5d365aadae463f7
  CHECKSUM(SHA256) upstream package : 731610e213dc18748d6e183e6ff57c499ca1bcb1ebd4c8e1f5d365aadae463f7


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1465588
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Ben Rosser 2017-07-07 17:20:39 EDT
- Remove spurious rm -rf of the buildroot from install section.
- Switch to make build/install macros.

Spec URL: https://tc01.fedorapeople.org/xoreos/xoreos-tools.spec
SRPM URL: https://tc01.fedorapeople.org/xoreos/xoreos-tools-0.0.4-2.fc25.src.rpm

> - empty /usr/lib in xoreos-tools-0.0.4-1.fc27.x86_64.rpm 

It's not actually empty; it contains the new debuginfo build-id stuff that seems to be a consequence of this F27 change: https://fedoraproject.org/wiki/Changes/ParallelInstallableDebuginfo. (that sadly rpmlint doesn't seem to know about yet). In other words, I don't think it's a problem with this package. But I could be wrong.
Comment 3 Sandro Mani 2017-07-07 17:32:01 EDT
> It's not actually empty; it contains the new debuginfo build-id stuff that seems to be a consequence of this F27 change: > https://fedoraproject.org/wiki/Changes/ParallelInstallableDebuginfo. (that sadly rpmlint doesn't seem to know about yet). In other words, I don't think it's a problem with this package. But I could be wrong.

Ah yes, correct. All good then, approved!
Comment 4 Gwyn Ciesla 2017-07-08 20:49:13 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/xoreos-tools
Comment 5 Fedora Update System 2017-07-08 23:08:33 EDT
xoreos-tools-0.0.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d5a8491e46
Comment 6 Fedora Update System 2017-07-09 22:15:53 EDT
xoreos-tools-0.0.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f4ad70a91d
Comment 7 Fedora Update System 2017-07-12 01:27:48 EDT
xoreos-tools-0.0.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce142c9640
Comment 8 Fedora Update System 2017-07-12 04:35:55 EDT
xoreos-tools-0.0.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d5a8491e46
Comment 9 Fedora Update System 2017-07-12 05:24:04 EDT
xoreos-tools-0.0.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f4ad70a91d
Comment 10 Fedora Update System 2017-07-20 11:52:36 EDT
xoreos-tools-0.0.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-07-20 16:53:08 EDT
xoreos-tools-0.0.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-07-30 15:50:42 EDT
xoreos-tools-0.0.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.